Bug 1980548 - Not all plugins' locales folders are listed in webpack.config.ts
Summary: Not all plugins' locales folders are listed in webpack.config.ts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.9.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
: 1978480 (view as bug list)
Depends On:
Blocks: 2001212
TreeView+ depends on / blocked
 
Reported: 2021-07-08 19:59 UTC by ralpert
Modified: 2021-10-21 20:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:38:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9451 0 None open Bug 1980548: Add missing plugin locales folders to webpack config 2021-07-08 20:06:20 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:38:58 UTC

Description ralpert 2021-07-08 19:59:19 UTC
Description of problem:
Some plugins didn't have their locales folders in the webpack.config.ts file. This means that even though we had translations for these plugins, they would never display because they weren't being copied into the correct folder. These plugins need to be added.

Version-Release number of selected component (if applicable):
4.9

How reproducible:
Always

Steps to Reproduce:
1. Open the Notification drawer in Chinese, Japanese, or Korean
2. "Notifications" in the header is not translated

Actual results:
Translations are present in packages/patternfly/locales, but they do not display.

Expected results:
Translations are displayed correctly.

Additional info:

Comment 2 Yadan Pei 2021-07-12 07:09:18 UTC
1. Open the Notification drawer in Chinese, Japanese, or Korean
2. "Notifications" in the header is translated accordingly

Verified on 4.9.0-0.nightly-2021-07-10-081034

Comment 3 Cyril 2021-07-12 18:26:46 UTC
*** Bug 1978480 has been marked as a duplicate of this bug. ***

Comment 6 errata-xmlrpc 2021-10-18 17:38:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.